Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 189114 - eu-strip mangles separate debuginfo with relocation sections
Summary: eu-strip mangles separate debuginfo with relocation sections
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: elfutils
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact:
URL:
Whiteboard:
Depends On: 156342
Blocks: RHEL3U8CanFix
TreeView+ depends on / blocked
 
Reported: 2006-04-17 02:48 UTC by Roland McGrath
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHSA-2006-0368
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-20 12:51:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0368 normal SHIPPED_LIVE Low: elfutils security update 2006-07-20 12:51:00 UTC

Description Roland McGrath 2006-04-17 02:48:28 UTC
+++ This bug was initially created as a clone of Bug #156342 +++

+++ This bug was initially created as a clone of Bug #156341 +++

Description of problem:

When eu-strip writes separate debuginfo from an ET_REL object such as a kernel
module (.ko file), it doesn't fix up the relocs referring to section symbols
removed from the symbol table.

Version-Release number of selected component (if applicable):
0.106-3

How reproducible:
100%

Steps to Reproduce:
1. Install kernel-debuginfo package.
2. Try to use foo.ko.debug.
3. See bad relocs.
  
Actual results:


Expected results:


Additional info:

This is a blocker for SystemTAP.

Comment 4 Roland McGrath 2006-04-18 18:00:04 UTC
Fix is in 0.94.1-1 build.

Comment 7 Red Hat Bugzilla 2006-07-20 12:51:52 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0368.html



Note You need to log in before you can comment on or make changes to this bug.